PnP Upgrade to the last version

%3CLINGO-SUB%20id%3D%22lingo-sub-6451%22%20slang%3D%22en-US%22%3EPnP%20Upgrade%20to%20the%20last%20version%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-6451%22%20slang%3D%22en-US%22%3E%3CP%3EHi%20all%2C%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EI%20would%20like%20to%20upgrade%20the%20PnP%20version%20in%20one%20of%20our%20projects.%20I%20have%20seen%20a%20PowerShell%20command%20to%20upgrade%20the%20scheme%20but%20when%20I%20try%20to%20use%20it%20I'm%20getting%20the%20error%20attached%20in%20the%20image.%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EThe%20command%20is%20Convert-SPOProvisioningTemplate%20-Path%20%22....%22%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EThanks%2C%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-LABS%20id%3D%22lingo-labs-6451%22%20slang%3D%22en-US%22%3E%3CLINGO-LABEL%3EPnP%3C%2FLINGO-LABEL%3E%3C%2FLINGO-LABS%3E%3CLINGO-SUB%20id%3D%22lingo-sub-6489%22%20slang%3D%22en-US%22%3ERe%3A%20PnP%20Upgrade%20to%20the%20last%20version%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-6489%22%20slang%3D%22en-US%22%3E%3CP%3Efirst%20rollout%20a%20site%20with%20your%20version%20next%20use%20Pieter%20solution%20you%20can%20add%20a%20template%20version%20to%20it%3A%3C%2FP%3E%3CP%3EGet-SPOProvisioningTemplate%20-IncludeSiteCollectionTermGroup%20%26nbsp%3B-Force%20-Out%20C%3A%5Ctemp%5Ctestpaul1108.pnp%20-Schema%20V201605%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EKr%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EPaul%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-6453%22%20slang%3D%22en-US%22%3ERe%3A%20PnP%20Upgrade%20to%20the%20last%20version%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-6453%22%20slang%3D%22en-US%22%3E%3CP%3EHave%20you%20tried%20applying%20the%20template%20to%20a%20site.%20(while%20the%20tmeplate%20is%20in%20the%20olde%20format)%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3Eexporting%20the%20site%20with%20Get-SPOProvisioningTemplate%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EThis%20should%20give%20you%20the%20latest%20version%20of%20a%20template.%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3C%2FLINGO-BODY%3E
Highlighted
Occasional Visitor

Hi all,

 

I would like to upgrade the PnP version in one of our projects. I have seen a PowerShell command to upgrade the scheme but when I try to use it I'm getting the error attached in the image.

 

The command is Convert-SPOProvisioningTemplate -Path "...."

 

Thanks,

2 Replies
Highlighted

Have you tried applying the template to a site. (while the tmeplate is in the olde format)

 

exporting the site with Get-SPOProvisioningTemplate

 

This should give you the latest version of a template.

 

 

Highlighted

first rollout a site with your version next use Pieter solution you can add a template version to it:

Get-SPOProvisioningTemplate -IncludeSiteCollectionTermGroup  -Force -Out C:\temp\testpaul1108.pnp -Schema V201605

 

Kr

 

Paul